### Method

# Fwupd Device add_guid

since: 0.9.3

#### Declaration [src]

    void
    fwupd_device_add_guid (
      FwupdDevice* self,
      const gchar* guid
    )

#### Description [src]

Adds the GUID if it does not already exist.

Available since: 0.9.3

#### Parameters

`guid`

  Type: `const gchar*`

  The GUID, e.g. `2082b5e0-7a64-478a-b1b2-e3404fab6dad`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.